
Robotics Service Bus - Tasks #437
Implement Server/RemoteServer
07/21/2011 09:14 PM - J. Moringen

Status: Resolved Start date: 07/21/2011
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Common Lisp Estimated time: 0.00 hour
Target version: 0.4
Description

Associated revisions
Revision 7e6c1817 - 07/23/2011 11:19 PM - J. Moringen
Improved keyword handling in src/transport/spread/conversion.lisp
refs #437
    -  src/transport/spread/conversion.lisp (keyword->bytes): use modified

  readtable to handle string case better
  (bytes->keyword): likewise
  (wire-schema->bytes): use `keyword->bytes'
  (bytes->wire-schema): use `bytes->keyword'

Revision 99e4cc4e - 07/27/2011 10:23 PM - J. Moringen
Added patterns module in src/patterns
refs #437
    -  src/patterns/protocol.lisp: new file; protocol definition for

  the patterns module
    -  src/patterns/conditions.lisp: new file; contains conditions used

  in the patterns module
    -  src/patterns/package.lisp: new file; package definition for the

  patterns module
    -  cl-rsb.asd (system cl-rsb): added patterns module with files

  src/patterns/protocol.lisp, src/patterns/package.lisp and
  src/patterns/conditions.lisp

History
#1 - 07/25/2011 06:09 PM - S. Wrede
- Target version changed from rsb-0.10 to 0.4

#2 - 08/03/2011 11:36 AM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 50 to 100
